Subject: Re: [PATCH v3] media: add virtio-media driver

From: "Alexandre Courbot" <[email-masked]>
Date: Tue, 27 May 2025 15:14:50 +0900

Hi Mauro,

On Mon May 26, 2025 at 9:13 PM JST, Mauro Carvalho Chehab wrote:
> Hi Michael,
>
> Em Sat, 12 Apr 2025 13:08:01 +0900
> Alexandre Courbot <[email-masked]> escreveu:
>
>> Add the first version of the virtio-media driver.
>>
>> This driver acts roughly as a V4L2 relay between user-space and the
>> virtio virtual device on the host, so it is relatively simple, yet
>> unconventional. It doesn't use VB2 or other frameworks typically used in
>> a V4L2 driver, and most of its complexity resides in correctly and
>> efficiently building the virtio descriptor chain to pass to the host,
>> avoiding copies whenever possible. This is done by
>> scatterlist_builder.[ch].
>>
>> virtio_media_ioctls.c proxies each supported ioctl to the host, using
>> code generated through macros for ioctls that can be forwarded directly,
>> which is most of them.
>>
>> virtio_media_driver.c provides the expected driver hooks, and support
>> for mmapping and polling.
>>
>>  This version supports MMAP buffers, while USERPTR buffers can also be
>>  enabled through a driver option. DMABUF support is still pending.
>
> It sounds that you applied this one at the virtio tree, but it hasn't
> being reviewed or acked by media maintainers.
>
> Please drop it.
>
> Alexandre,
>
> Please send media patches to media maintainers, c/c other subsystem
> maintainers, as otherwise they might end being merged without a
> proper review.

Sorry about that, I put everyone in "To:" without giving it a second
thought.

>
> In this particular case, we need to double-check if this won't cause
> any issues, in special with regards to media locks and mutexes.

Agreed, I am not 100% confident about that part myself.

>
> I'll try to look on it after this merge window, as it is too late
> for it to be applied during this one.

Appreciate that - given the high traffic on the list I was worried that
this patch would eventually be overlooked. Not making it for this merge
window should not be a problem, so please take the time you need.

Cheers,
Alex.